# scroll

The `scroll` command performs a vertical scroll of the current view.

### Syntax

The command takes no arguments.

```yaml
- scroll
```

#### How it works

On a mobile device, the the `scroll` command performs an upward [swipe](/reference/commands-available/swipe.md) from the center of the screen to 10% from the top. It is equivalent to a `swipe` with `direction: UP`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.maestro.dev/reference/commands-available/scroll.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
